Subject: Re: bug#18237: Small fix for MSDOS
From: Reuben Thomas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Sun, 10 Aug 2014 19:42:14 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On 10 August 2014 19:26, Eli Zaretskii <[email-masked]> wrote:

>
> I'd prefer that all the changes for such a build be committed at once
> together, not bit by bit, and only if you eventually succeed to
> produce a working binary using this method.
>

Sorry, I was trying to separate my patch into parts with different
implications (e.g. no effect on the current DOS build system; some effect
on that system but not more generally; more general changes); but instead
I'll concentrate on producing a single patch that, as you say, results in a
working binary.

>  > I think you're also saying that I should test both HAVE_SELECT &&
> > HAVE_SYS_SELECT_H therefore?
>
> Yes, at the very least.

Noted.

>  But let's delay this until you have gone all
> the way to building Emacs using this method.  We won't know all of the
> implications until you do.
>

Sure, OK.

I am closing this bug; since you diagnosed my other patch submission as a
more general bug in configuration, I'll look into a fix for it at that
level.

-- 
http://rrt.sc3d.org